Deployments.ai Docs
Security

Verify a login domain once its DNS TXT record is published

POST /v1/login-domains/{id}/verify · SDK verifyLoginDomain · CLI deployments login-domain verify

POST
/v1/login-domains/{id}/verify

Requires members:write.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Response Body

LoginDomainResponse

application/json
  1. response
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
dnsRecord*
domain*string
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
state*|
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
curl -X POST "https://example.com/v1/login-domains/string/verify" \  -H "x-deployments-organization: string" \  -H "idempotency-key: string"
{  "createdAt": "2019-08-24T14:15:22Z",  "dnsRecord": {    "name": "string",    "type": "TXT",    "value": "string"  },  "domain": "string",  "id": "string",  "state": {    "kind": "pending"  },  "updatedAt": "2019-08-24T14:15:22Z"}